commit ed2ccce0e844a128891cfc334afd371371fae639 (HEAD, tag: v1.53.0, origin/master, origin/HEAD, master)
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-05-10
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-05-10

    Generate .asc files

commit 7a0e16510a72576cfd6cc3683367297e349e48e4
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-05-10
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-05-10

    Update manual pages

commit f62b2b23b1a9ad675ccffbe5f13929ba2f6005a8
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-05-10
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-05-10

    Bump package and library versions

commit 5e8904e327351ed5827f346f78b53aa909c721ec
Merge: e392729d 26ab7c14
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-04-29
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-04-29

    Merge pull request #1902 from nghttp2/bump-neverbleed
    
    Bump neverbleed

commit 26ab7c147570c2ca08a22342db68693109efed77
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-04-29
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-04-29

    Bump neverbleed

commit e392729d9f65ab64c1302d0a5e4c564ef22d5952
Merge: 88e03cda 0fbfc487
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-04-29
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-04-29

    Merge pull request #1901 from nghttp2/zerofill-z_stream
    
    Initialize z_stream completely with zeros

commit 0fbfc487168e09adc500f629eacbd17f602a4685
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-04-29
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-04-29

    Initialize z_stream completely with zeros

commit 88e03cdaf0e08edc838e0691a8354cbf096e06c4
Merge: 4f27509e 7645ab89
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-04-26
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-04-26

    Merge pull request #1900 from nghttp2/nghttpx-send-new-token-on-path-change
    
    nghttpx: Send NEW_TOKEN on path change

commit 7645ab89bca97d8d915806481f007136cdd2145d
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-04-26
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-04-26

    nghttpx: Send NEW_TOKEN on path change

commit 4f27509e674b5c33441817952992df8d2d9bf0ad
Merge: 757bc3cb 7a4e706b
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-04-26
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-04-26

    Merge pull request #1899 from nghttp2/bump-ngtcp2
    
    Bump ngtcp2

commit 7a4e706b4483af72f97d5ff387e1550df1ae728f
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-04-23
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-04-26

    Bump ngtcp2

commit 757bc3cbe931e22f19521a34e3b69e7b22a1b3ea
Merge: cc1402bf 2ee33fe8
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-04-22
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-04-22

    Merge pull request #1898 from nghttp2/sfparse
    
    Import ngtcp2/sfparse, Structured Field Values parser

commit 2ee33fe8cdc034f0a711dabb7e11c6f857197688
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-04-22
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-04-22

    Import ngtcp2/sfparse, Structured Field Values parser

commit cc1402bf441cad6277a6e3282b74a4060f7733f9
Merge: 56fcb73c 70690ce0
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-04-22
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-04-22

    Merge pull request #1897 from nghttp2/lazy-initialize-map-table
    
    Initialize map table lazily

commit 70690ce010391c02acdf7dba4a23d7701e768d04
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-04-22
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-04-22

    Initialize map table lazily

commit 56fcb73cc4cab6032c191d931f35bad55774624b
Merge: 51b0288f 84eecc01
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-04-21
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-04-21

    Merge pull request #1896 from nghttp2/msvc-build-check
    
    Msvc build check

commit 84eecc015c0e1f876c7ce7b71255b4b2ca0b3c24
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-04-21
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-04-21

    Fix implicit conversion warnings

commit 4bb4ff06e37c03128792a575c5bc09d62a639827
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-04-21
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-04-21

    Fix function signature

commit 8610758e14ed66672c820e4acd432dee52863138
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-04-21
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-04-21

    Include stdio.h to workaround error due to legacy CUnit snprintf macro

commit caf9d3abd53772e796fde0926e793fb82fe71807
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-04-21
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-04-21

    Run msvc build check

commit 51b0288f5d18d72cf143ed5e3f7016cd77879ccd
Merge: 251d3f87 7fb488be
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-03-25
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-03-25

    Merge pull request #1892 from nghttp2/nghttpx-h3-write-event
    
    nghttpx: write watcher should only be started upon blocking write

commit 7fb488be15e42ffffa6f90fe4158c28572029f7d
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-03-25
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-03-25

    nghttpx: write watcher should only be started upon blocking write

commit 251d3f8743518db8ef89da61bc3d4a8c35d71a6f
Merge: edfc6a85 3676eb91
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-03-25
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-03-25

    Merge pull request #1891 from nghttp2/bump-ngtcp2
    
    Bump ngtcp2 to v0.14.0

commit 3676eb91e31b89d1c68d1125eff211bc7f9009fd
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-03-25
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-03-25

    Bump ngtcp2 to v0.14.0

commit edfc6a8530b40ad3bfc6db666528b2c89ae8a248
Merge: 7efbcfec 448c68ef
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-03-16
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-03-16

    Merge pull request #1888 from nghttp2/fix-macos-setup
    
    Add missing if condition to MacOS setup

commit 448c68ef0182ee4f1342bdcbaa048a9274ee5e26
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-03-16
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-03-16

    Add missing if condition to MacOS setup

commit 7efbcfecff539fe114c969b25789c7b7ffb2127e
Merge: c460afc2 de743aad
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-03-16
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-03-16

    Merge pull request #1887 from nghttp2/add-verify_hostname-tests
    
    Add verify_hostname tests

commit de743aad4af61f6ddb2eae59eb24ee4ceb9b7687
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-03-15
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-03-15

    Add verify_hostname tests

commit c460afc2d9fdefc39e2566f7fdb3e8f1c220ef26
Merge: 83993b1d c03cd592
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-03-15
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-03-15

    Merge pull request #1886 from nghttp2/fix-compile-errors
    
    Fix compile errors with clang-15

commit c03cd59274e6cd7b2cad4e6e5b05e37eca84389c
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-03-15
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-03-15

    Fix compile errors with clang-15

commit 83993b1dbf499cc7b83ad8d6ba099906d52163a9
Merge: ef7bb8ef cc144000
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-03-15
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-03-15

    Merge pull request #1885 from nghttp2/nghttpx-fix-numeric-hostname-verify
    
    nghttpx: Fix numeric hostname verification

commit cc144000965fef3e861a6effb517b90d2a42c63e
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-03-15
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-03-15

    nghttpx: Fix numeric hostname verification

commit ef7bb8ef9fd680bf9eecf2dd8ac710cedc195e6d
Merge: b8cb6efb bc6814eb
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-03-11
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-03-11

    Merge pull request #1881 from nghttp2/nghttpx-fix-heap-use-after-free
    
    nghttpx: Fix heap-use-after-free

commit bc6814eb5b3ac76b0a8e02f6b2c3bffde4f63749
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-03-11
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-03-11

    nghttpx: Fix heap-use-after-free
    
    Fix heap-use-after-free introduced by
    ddb667e8bff8fbdd1576f7637fc5d18bf5da9eb7.

commit b8cb6efb375ac12cb4485cac49ec1556cb3e8210
Merge: 7628879e 83af9b50
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-03-11
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-03-11

    Merge pull request #1880 from nghttp2/nghttpx-tweak-worker-process-handling
    
    Nghttpx tweak worker process handling

commit 83af9b504ba35ec4f7ee0991ff0affc546210674
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-03-10
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-03-10

    nghttpx: Wait for new worker process to be ready
    
    Wait for new worker process to be ready before sending graceful
    shutdown event to the existing worker processes to avoid down time
    during configuration reload.

commit ddb667e8bff8fbdd1576f7637fc5d18bf5da9eb7
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-03-10
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-03-10

    nghttpx: Signal watcher should be global, not per WorkerProcess

commit 704153e4cba43846a66fe83f72d6df561d6b78df
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-03-10
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-03-10

    nghttpx: Wait for all worker processes to stop before quit
    
    When quitting, wait for all worker processes to stop.  Previously, we
    just exit the event loop when the last process exits.  But the because
    of the bug, it does not work as intended.

commit 39f6c081870dcb2767aa6ef11eb5a4392b226440
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-03-10
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-03-10

    nghttpx: Update LogConfig::pid on fork

commit 7628879e7987efe250aaa31d7a9ad5c36d0c1c33
Merge: 1e47a198 20173a59
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-03-08
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-03-08

    Merge pull request #1879 from nghttp2/workflow-permissions
    
    Set workflow permissions

commit 20173a59f02ca576323401fed5528713feacc1a2
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-03-08
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-03-08

    Set workflow permissions

commit 1e47a1984de6addcd23e319947a416b47bf5954e
Merge: 14cc308d 14268ccb
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-03-06
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-03-06

    Merge pull request #1877 from nghttp2/sphinx-doc-enum
    
    sphinx-doc understands :enum:

commit 14268ccbaa1cf7cafe1be79f6d1e07c66e87f23a
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-03-06
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-03-06

    sphinx-doc understands :enum:

commit 14cc308d537ed21b1bfc857761af000b673c86e7
Merge: 1c62a2a9 bb024e3d
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-02-26
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-02-26

    Merge pull request #1874 from nghttp2/nghttpx-llhttp-resume-after-upgrade
    
    nghttpx: Fix bug that causes 400 response after upgrade failure

commit bb024e3d82d68497493a0a54532aad7e1499df43
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-02-26
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-02-26

    nghttpx: Fix bug that causes 400 response after upgrade failure

commit 1c62a2a9238e0a4980a058d01e0866fcdbef6fcb
Merge: dc74b50c 094c60db
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-02-26
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-02-26

    Merge pull request #1873 from nghttp2/bump-go-mod
    
    Bump go modules

commit 094c60db890625ac41275a5a35ab3e973f5ece74
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-02-23
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-02-26

    Bump go modules

commit dc74b50cc92651819e20761bc4e48a887642ee28
Merge: a1c7e507 5cd87eae
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-02-26
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-02-26

    Merge pull request #1872 from nghttp2/bump-mruby
    
    Bump mruby to 3.2.0

commit 5cd87eae22d2a81d5e1ee21b6a28d645455fb506
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-02-24
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-02-26

    Bump mruby to 3.2.0

commit a1c7e507aa3a75b1f61f3d69901a127487cd923f
Merge: b400bb5c 9526e2ff
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-02-25
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-02-25

    Merge pull request #1871 from nghttp2/nghttpx-h3-graceful-shutdown
    
    nghttpx: Gracefully shutdown HTTP/3 connection

commit 9526e2ff80455e0455a6636988dc1f2957012f72
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-02-23
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-02-24

    nghttpx: Gracefully shutdown HTTP/3 connection

commit b400bb5c15471435abb5ad3a9723b5bfac7d61c3
Merge: 878de84f 89cb55a6
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-02-24
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-02-24

    Merge pull request #1870 from nghttp2/bump-nghttp3
    
    Bump nghttp3 to v0.9.0

commit 89cb55a62f369bb076d048f256dba0091dec0215
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-02-24
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-02-24

    Bump nghttp3 to v0.9.0

commit 878de84feb1b4944755972d5543ab64f00f8e12f
Merge: 1eb91d2e 9862a86b
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-02-24
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-02-24

    Merge pull request #1869 from nghttp2/build-cache
    
    Cache dependencies to speed up workflow builds

commit 9862a86b3127e1f2216a0c2f39b866f23127dd32
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-02-24
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-02-24

    Cache dependencies to speed up workflow builds

commit 1eb91d2e50d98e30fde01f3d95786ec69ebc36b5
Merge: 5cb908b6 50fbb764
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2023-02-23
Commit:     GitHub <noreply@github.com>
CommitDate: 2023-02-23

    Merge pull request #1867 from nghttp2/bump-go-mod
    
    Bump golang.org/x/net to v0.7.0

commit 50fbb7645462e1dd77c596fec8f132bc8b0cb9ba
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-02-23
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-02-23

    Bump golang.org/x/net to v0.7.0

commit 5cb908b62583b52c0b905b41ef96aa3fd58f179c
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2023-02-13
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2023-02-13

    Bump package version
